Name:           hotshots
Version:        2.2.0
Release:        1%{dist}
License:        GPLv2+
Summary:        Screenshot and Annotation Tool
URL:            https://sourceforge.net/projects/hotshots/
Source0:        http://sourceforge.net/projects/hotshots/files/%{version}/HotShots-%{version}-src.zip

BuildRequires:  desktop-file-utils
BuildRequires:  ghostscript-core ImageMagick
BuildRequires:  hicolor-icon-theme
BuildRequires:  libqxt-devel
BuildRequires:  pkgconfig(QtCore)
BuildRequires:  pkgconfig(QtGui)
BuildRequires:  pkgconfig(QtNetwork)
BuildRequires:  pkgconfig(QtXml)

%description
HotShots is an application for capturing screens and saving them in
a variety of image formats as well as adding annotations and graphical
data (arrows, lines, texts, ...).

%prep
%setup -qn HotShots-%{version}-src
sed -i 's/\r$//' *.txt
sed -i 's|(abs(|(std::abs(|' src/editor/items/BaseItem.cpp
sed -i '/Comment=Screenshot manager/d' build/hotshots-desktop.sh
sed -i '/Version=$2/d' build/hotshots-desktop.sh
sed -i 's|Categories=Utility;Application;|Categories=Utility;|' build/hotshots-desktop.sh
sed -i 's|Icon=$1/share/pixmaps/hotshots.png|Icon=$1/share/pixmaps/hotshots|' build/hotshots-desktop.sh

%build
cd build
%{qmake_qt4} \
    QMAKE_CFLAGS+="%{optflags}" \
    QMAKE_CXXFLAGS+="%{optflags}" \
    QMAKE_STRIP="true" \
    INSTALL_PREFIX=%{_prefix} \
    MYAPP_INSTALL_TRANS=%{_datadir}/%{name}/lang
%make_build

%install
pushd build
make INSTALL_ROOT=%{buildroot} install
popd
# Remove docs as we use hotshot-1.1.0-docs_path.patch
rm -rf %{buildroot}%{_datadir}/%{name}/*.txt
# Remove pixmap. Install icons of various sizes into icons/hicolor.
rm -f %{buildroot}%{_datadir}/pixmaps/%{name}.png
install -Dm 0644 res/%{name}.png \
    %{buildroot}%{_datadir}/icons/hicolor/128x128/apps/%{name}.png
for size in 96x96 64x64 48x48 32x32 22x22 16x16 ; do
    install -dm 0755 \
        %{buildroot}%{_datadir}/icons/hicolor/${size}/apps
    convert -strip -resize ${size} res/%{name}.png \
        %{buildroot}%{_datadir}/icons/hicolor/${size}/apps/%{name}.png
done
sed -i 's|/.*/||' %{buildroot}%{_datadir}/applications/%{name}.desktop

%check
desktop-file-validate %{buildroot}%{_datadir}/applications/%{name}.desktop

%files
%doc *.txt
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/mime/packages/%{name}.xml
%{_datadir}/icons/hicolor/*/*/%{name}.*
%{_mandir}/man?/*
%{_datadir}/%{name}

%changelog
* Fri Sep 08 2017 Martin Gansser <martinkg@fedoraproject.org> - 2.2.0-1
- Initial build

